Next: Performance settings, Previous: Format of resource files, Up: Settings and resources [Contents][Index]

### 6.2 Using command-line options to change resources

Resources can also be changed via command-line options.

Command-line options always override the defaults from `.vice/vicerc`, and their assignments last for the whole session. So, if you specify a certain command-line option that changes a certain resource from its default value and then use “Save Settings”, the value specified with the command-line option will be saved back to the resource file.

Command-line options can begin with with a minus sign (‘`-`’) or with a plus sign (‘`+`’). Options beginning with a minus sign may require an additional parameter, while the ones beginning with the plus sign never require one.

Moreover, options beginning with a plus sign always have a counterpart with the same name, but with a minus sign; in that case, the option beginning with a minus sign is used to enable a certain feature, while the one beginning with a plus sign is used to disable the same feature (this is an X11 convention). For example, `-warp` enables warp mode, while `+warp` disables it.

### 6.3 Autostart settings

#### 6.3.1 Autostart resources

All these resources are available for all emulators except vsid.

`AutostartPrgDiskImage`

  String specifying the filename of the disk image used when autostarting a prg file and "copy to D64" is enabled (all emulators except vsid).

`AutostartBasicLoad`

  Boolean, if true load to basic start using ,8 when autostarting from disk, else use ,8,1 to load absolute. (all emulators except vsid).

`AutostartTapeBasicLoad`

  Boolean, if true load to basic start using ,1 when autostarting from tape, else use ,1,1 to load absolute. (all emulators except vsid).

`AutostartRunWithColon`

  Boolean, if true put a colon after the load command when autostarting (all emulators except vsid).

`AutostartHandleTrueDriveEmulation`

  Boolean, if true handle (enable/disable) True Drive Emulation on autostart (all emulators except vsid). This is disabled by default to ensure maximum compatibility.

`AutostartWarp`

  Boolean, if true temporarily enable warp mode when autostarting (all emulators except vsid).

`AutostartPrgMode`

  Integer specifying the autostart mode for prg files (all emulators except vsid). (0: virtual filesystem, 1: inject to RAM, 2: copy to D64)

`AutostartDelayRandom`

  Boolean, enables a short (0-10 frames) random delay on autostart. This is added to the `AutostartDelay` (all emulators except vsid).

`AutostartDelay`

  Integer specifying the delay in seconds required to wait for the kernal reset routine before autostart. (0: use builtin value for standard kernal) When tweaking this value start with ’large’ values and then lower it, a value that is too small results in autostart not happening. (all emulators except vsid). (0..1000)

#### 6.3.2 Autostart command-line options

All these command-line options are available for all emulators except vsid.

`-autostartprgdiskimage <Name>`

  Set disk image for autostart of PRG files (`AutostartPrgDiskImage`) (all emulators except vsid).

`-basicload`

  On autostart from disk, load to BASIC start (without ’,1’) (`AutostartBasicLoad=1`) (all emulators except vsid).

`+basicload`

  On autostart from disk, load with ’,1’ (`AutostartBasicLoad=0`) (all emulators except vsid).

`-tapebasicload`

  On autostart from tape, load to BASIC start (without ’,1’) (`AutostartTapeBasicLoad=1`) (all emulators except vsid).

`+tapebasicload`

  On autostart from tape, load with ’,1’ (`AutostartTapeBasicLoad=0`) (all emulators except vsid).

`-autostartwithcolon`

  On autostart, use the ’RUN’ command with a colon, i.e., ’RUN:’ (`AutostartRunWithColon=1`). (all emulators except vsid)

`+autostartwithcolon`

  On autostart, do not use the ’RUN’ command with a colon; i.e., ’RUN’ (`AutostartRunWithColon=0`) (all emulators except vsid).

`-autostart-handle-tde`
`+autostart-handle-tde`

  Handle/Do not handle True Drive Emulation on autostart (`AutostartHandleTrueDriveEmulation=1`, `AutostartHandleTrueDriveEmulation=0`) (all emulators except vsid).

`-autostart-warp`
`+autostart-warp`

  Enable/disable warp mode during autostart (`AutostartWarp=1`, `AutostartWarp=0`) (all emulators except vsid).

`-autostartprgmode <Mode>`

  Set autostart mode for PRG files (`AutostartPrgMode`) (all emulators except vsid). (0: virtual filesystem, 1: inject to RAM, 2: copy to D64)

`-autostart-delay-random`
`+autostart-delay-random`

  Enable/disable random delay on autostart (`AutostartDelayRandom`) (all emulators except vsid).

`-autostart-delay <seconds>`

  Set initial autostart delay in seconds for the kernal reset routine before autostart. (0: use builtin value for standard kernal). When tweaking this value start with ’large’ values and then lower it, a value that is too small results in autostart not happening. (`AutostartDelay`) (all emulators except vsid). (0..1000)

Next: Performance settings, Previous: Format of resource files, Up: Settings and resources [Contents][Index]